package com.myexample;

import java.util.logging.Level;
import java.util.logging.Logger;
import javax.annotation.PostConstruct;
import javax.ejb.Singleton;
import javax.ejb.Startup;

/**
 *
 */
@Singleton
@Startup
public class TestBean {

    @PostConstruct
    private void init() {
        this.testUnmarshal();
    }

    public void testUnmarshal() {
        HashMapWrapper wrap = new HashMapWrapper("OuterWrapper");

        HashMapWrapper nestedWrap = new HashMapWrapper("NestedWrapper");
        wrap.setValue("NestedKey", nestedWrap);

        String xml = wrap.marshal();
        Logger.getLogger(TestBean.class.getName()).log(Level.INFO, "Marshalled to...\n{0}", xml);
        HashMapWrapper newWrap = HashMapWrapper.unmarshal(xml);

        HashMapWrapper newNestedWrap = (HashMapWrapper) newWrap.getValue("NestedKey");
        if (newNestedWrap == null) {
            Logger.getLogger(TestBean.class.getName()).log(Level.SEVERE, "Unable to get nested HashMapWrapper");
        }
        Logger.getLogger(TestBean.class.getName()).log(Level.INFO,
                "Name of NestedWrapper is {0}", newNestedWrap.getName());
    }
}
